QCA6174A XR cannot find any WiFi AP

Bug #1728523 reported by AceLan Kao on 2017-10-30
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
AceLan Kao
Xenial
Medium
AceLan Kao

Bug Description

SRU Justification
[Impact]
Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter [168c:003e]
Atheros QCA6174 can't find any WiFi APs and got below message in dmesg

[ 16.158772] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[ 22.162575] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[ 27.533002] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[ 33.535958] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[ 38.890790] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[ 44.893968] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[ 46.358194] i2c_designware i2c_designware.0: controller timed out
[ 47.358231] i2c_designware i2c_designware.0: controller timed out
[ 48.358506] i2c_designware i2c_designware.0: controller timed out
[ 49.566240] i2c_designware i2c_designware.2: controller timed out
[ 50.566862] i2c_designware i2c_designware.2: controller timed out
[ 51.566307] i2c_designware i2c_designware.2: controller timed out
[ 52.670330] i2c_designware i2c_designware.3: controller timed out
[ 53.670775] i2c_designware i2c_designware.3: controller timed out
[ 54.670427] i2c_designware i2c_designware.3: controller timed out
[ 60.326619] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[ 66.327117] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[ 71.678943] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[ 77.679084] ath10k_pci 0000:02:00.0: could not suspend target (-11)

It requires updated firmwares to enable it.

[Test Case]
After applying the required firmwares, it can search APs and connect to the network.

[Regression Potential]
Although the new firmware overwrite the old one, considering it exists in linux-firmware git tree and didn't get any update for 3 month, it should be good with no regression.

AceLan Kao (acelankao) on 2017-10-30
tags: added: originate-from-1714906 somerville
Po-Hsu Lin (cypressyew) wrote :

Patch applied.

Changed in linux-firmware (Ubuntu):
status: In Progress → Fix Committed
Changed in hwe-next:
status: New → Fix Committed
AceLan Kao (acelankao) wrote :

In git://kernel.ubuntu.com/ubuntu/linux-firmware.git xenail
849a338 (HEAD -> refs/heads/xenial, refs/remotes/ubuntu/xenial) ath10k: QCA6174 hw3.0: update board-2.bin
5a39a84 ath10k: QCA6174 hw3.0: update board-2.bin
a98b778 ath10k: QCA6174 hw3.0: update board-2.bin

Seth Forshee (sforshee) on 2017-12-12
Changed in linux-firmware (Ubuntu Xenial):
assignee: nobody → AceLan Kao (acelankao)
importance: Undecided → Medium
status: New → Fix Committed
Changed in linux-firmware (Ubuntu):
status: Fix Committed → Fix Released
AceLan Kao (acelankao) on 2017-12-12
description: updated

Hello AceLan, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.15 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

AceLan Kao (acelankao) wrote :

verified on linux-firmware 1.157.15

tags: added: verification-done-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.15

---------------
linux-firmware (1.157.15) xenial; urgency=medium

  * QCA6174A XR cannot find any WiFi AP (LP: #1728523)
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: update board-2.bin

  * Intel 9260/9462/9560 firmware support (LP: #1734243)
    - iwlwifi: add firmware version 33 for new 9000 series
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260

  * Bluetooth mouse and keyboard connects, works for a few seconds, then
    doesn't react (LP: #1729389)
    - linux-firmware: Update firmware patch for Intel Bluetooth,8260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260

 -- Seth Forshee <email address hidden> Tue, 12 Dec 2017 08:26:17 -0600

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers